import React from "react";
import { RouteState } from "./useRoute";
interface TitleFunction {
    (routeState: RouteState): string;
}
interface RouteProps {
    name: string;
    path: string;
    title?: string | TitleFunction;
    onEnter?: (routeState: RouteState) => Boolean | undefined;
}
declare const Route: React.FC<RouteProps>;
export default Route;
