"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var react_router_dom_1 = require("react-router-dom");
var routes_helpers_1 = require("./routes-helpers");
var Switch = function (_a) {
    var children = _a.children;
    return (react_1.default.createElement(react_router_dom_1.Switch, null, react_1.default.Children.map(children, function (child) {
        var _a = child === null || child === void 0 ? void 0 : child.props, name = _a.name, path = _a.path;
        (0, routes_helpers_1.regiterPath)(name, path);
        return child;
    })));
};
exports.default = Switch;
