import History from 'history';
export interface RouteState {
    name?: string;
    path?: string;
    url: string;
    params: any;
    queryParams: any;
    location: History.Location<History.LocationState>;
    history: History.History<History.LocationState>;
    setRouteParams(ops: any, reset?: boolean): unknown;
    setQueryParams(ops: any): unknown;
    goRoute(routeName: string, routeParams?: any): unknown;
}
declare const useRoute: () => RouteState;
export default useRoute;
