"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var _1 = require(".");
var withRoute = function (component) {
    var WrapWithRoute = function (props) {
        var Comp = component;
        var routeState = (0, _1.useRoute)();
        return (react_1.default.createElement(Comp, __assign({ routeState: routeState }, { props: props })));
    };
    return WrapWithRoute;
};
exports.default = withRoute;
